package dev.crucifixbeta.api.events.impl;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.client.gui.DrawContext;

@Environment(EnvType.CLIENT)
public class PreRender2DEvent {
   private static final PreRender2DEvent INSTANCE = new PreRender2DEvent();
   public DrawContext drawContext;

   public static PreRender2DEvent get(DrawContext drawContext) {
      INSTANCE.drawContext = drawContext;
      return INSTANCE;
   }
}
